> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Bdc Stats

GET https://api.filesearch.dev/v2/datasets/odyssey/credit-analysis/bdc/{ticker}/stats

Aggregate portfolio statistics for a BDC.

Returns weighted average spread, non-accrual rate, seniority breakdown,
top industries, and total portfolio fair value.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/credit-analysis/bdc/credit-analysis-bdc-stats

## Request

### Path parameters

- `ticker` (string, required) — BDC ticker symbol

## Response

### 200

Successful Response

- `bdc` (string, optional)
- `ticker` (string, optional)
- `filing_date` (string, optional)
- `total_investments` (integer, optional)
- `total_fair_value_mm` (double, optional)
- `non_accrual_count` (integer, optional)
- `non_accrual_rate_pct` (double, optional)
- `weighted_avg_spread_bps` (integer, optional)
- `seniority_breakdown` (OdysseyCreditAnalysisBdcStatsResponseSeniorityBreakdown, optional)
- `top_industries` (list of OdysseyCreditAnalysisBdcStatsResponseTopIndustriesItems, optional)

## Errors

### 404 Not Found Error

BDC not found

- `error` (string, required) — Error kind. `HTTP_ERROR` for errors raised by the route.
- `message` (string, required) — What went wrong.
- `path` (string, required) — The request path.
- `status_code` (integer, optional) — The HTTP status code.

### 500 Internal Server Error

Internal server error

- `error` (string, required) — `INTERNAL_ERROR`.
- `message` (string, required)
- `path` (string, required)

## Types

### OdysseyCreditAnalysisBdcStatsResponseSeniorityBreakdown

- `first_lien` (integer, optional)
- `equity` (integer, optional)
- `mezzanine` (integer, optional)

### OdysseyCreditAnalysisBdcStatsResponseTopIndustriesItems

- `industry` (string, optional)
- `count` (integer, optional)

## Examples

**Response**

```json
{
  "bdc": "Ares Capital Corporation",
  "ticker": "ARCC",
  "filing_date": "2026-02-04",
  "total_investments": 348,
  "total_fair_value_mm": 8750.8,
  "non_accrual_count": 0,
  "non_accrual_rate_pct": 0,
  "weighted_avg_spread_bps": 545,
  "seniority_breakdown": {
    "first_lien": 281,
    "equity": 46,
    "mezzanine": 21
  },
  "top_industries": [
    {
      "industry": "Software and Services",
      "count": 241
    },
    {
      "industry": "Financial Services",
      "count": 96
    }
  ]
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/credit-analysis/bdc/ARCC/stats",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/credit-analysis/bdc/ARCC/stats`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```